module PasIO (input,output);

type NameType = packed array [1 .. 20] of char;

[Global] procedure ReadIn (var  Name:  NameType;
                           var  Hours:  real;
                           var  EofFlag:   boolean);

   begin
     write ('Enter name (CTRL Z to stop): ');
     if not Eof then
       begin
         readln (Name);
         write ('Enter hours: ');
         readln (Hours);
         EofFlag := False;
       end
     else
       EofFlag := True;
  end;

[Global] procedure WriteOut (Name:  NameType;
                             Pay:  Real);
  begin
    writeln ('Name: ', Name);
    writeln ('Pay: ', Pay:8:2);
  end;
end.

